package com.bonus.canteen.core.notice.print.v2.vo;

import cn.hutool.core.util.ObjectUtil;
import com.bonus.canteen.core.notice.print.v2.constant.PrintTypeEnum;
import com.bonus.common.houqin.i18n.I18n;
import io.swagger.annotations.ApiModelProperty;

public class NoticePrintRecordPageVO {
   @ApiModelProperty("业务id（订单号、充值/取款交易号）")
   private Long busId;
   @ApiModelProperty("打印记录id")
   private Long recordId;
   @ApiModelProperty("设备名称")
   private String deviceName;
   @ApiModelProperty("打印类型")
   private String printType;
   @ApiModelProperty("打印类型")
   private String printSceneName;
   @ApiModelProperty("打印时间")
   private String crtime;
   @ApiModelProperty("打印状态")
   private Integer ifSuccess;
   @ApiModelProperty("失败")
   private String msg;

   public String getPrintSceneName() {
      return ObjectUtil.isNotEmpty(this.printType) ? I18n.getMessage(PrintTypeEnum.getI18n(this.printType), new Object[0]) : this.printSceneName;
   }

   public Long getBusId() {
      return this.busId;
   }

   public Long getRecordId() {
      return this.recordId;
   }

   public String getDeviceName() {
      return this.deviceName;
   }

   public String getPrintType() {
      return this.printType;
   }

   public String getCrtime() {
      return this.crtime;
   }

   public Integer getIfSuccess() {
      return this.ifSuccess;
   }

   public String getMsg() {
      return this.msg;
   }

   public void setBusId(final Long busId) {
      this.busId = busId;
   }

   public void setRecordId(final Long recordId) {
      this.recordId = recordId;
   }

   public void setDeviceName(final String deviceName) {
      this.deviceName = deviceName;
   }

   public void setPrintType(final String printType) {
      this.printType = printType;
   }

   public void setPrintSceneName(final String printSceneName) {
      this.printSceneName = printSceneName;
   }

   public void setCrtime(final String crtime) {
      this.crtime = crtime;
   }

   public void setIfSuccess(final Integer ifSuccess) {
      this.ifSuccess = ifSuccess;
   }

   public void setMsg(final String msg) {
      this.msg = msg;
   }

}
